@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {

	/* Button components */
	.btn {
		@apply mx-2 p-2 w-20 border border-gray-500 rounded cursor-pointer whitespace-nowrap;
	}
	.btn-sm {
		@apply w-12;
	}
	.btn-active {
		@apply border-gray-900 font-medium cursor-default;
	}

	.btn.btn-disabled {
		@apply opacity-40 cursor-default pointer-events-none;
	}
	.btn:focus {
		@apply outline-none;
	}
	.btn:hover {
		@apply border-gray-700 font-medium;
	}

	/* Skeleton loader */
	.skeleton-loader, .skeleton-loader-sm {
		@apply relative inline-block;
	}
	.skeleton-loader-before, .skeleton-loader::before {
		content: "";
		@apply absolute block inset-1 bg-gray-200 border-gray-200 rounded-md border animate-pulse;
	}
	.skeleton-loader-sm::before {
		@apply skeleton-loader-before h-3 inset-y-0;
	}

	/**
	 * Links
	 * By default they are not highlighted. They however show an animated border bottom on hover, and are bold when active.
	 */
	.link {
		@apply border-b border-transparent;
		transition: border-color linear .2s;
	}
	.link.active, .link.disabled {
		@apply border-transparent cursor-default pointer-events-none;
	}
	.link:hover {
		@apply border-black;
	}
	.link.active {
		@apply font-semibold;
	}

	/**
	 * Banners
	 * TODO: In the future, this is a good candidate for a standalone component.
	 */
	.banner {
		@apply sm:w-3/5 mx-auto my-4 py-2 border opacity-80 rounded;
	}
	.banner-title {
		@apply text-lg font-medium;
	}
	.banner-subtitle {}

	.banner.banner-warning {
		@apply border-yellow-400 bg-yellow-50;
	}

}
